Subject: Re: [bfcpbis] AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Mon, 14 Sep 2020 23:20:49 +0000

Hello BFCP working group,

It has been a long time since our last email discussion. We in nearing the end of AUTH-48 for this draft, but there is an issue raised that needs to be addressed before we move forward. The email thread below provides the background. A proposal to the working group for resolving this is to:

1) maintain the reference to RFC5389/STUN rather than replace it with a reference to RFC 8489
2) make the reference to RFC 5389/STUN an informative reference as is already done for RFC 5245/ICE

Please share with the working group whether you accept this proposal or have an alternate proposal to share.
Your response either way is greatly appreciated and helpful for establishing working group consensus and moving the draft forward.

Thanks,
Charles

On 5/21/20, 1:55 PM, "Keith Drage" <[email-masked]> wrote:

    I do note that the normative requirement is at SHOULD strength.

    However there are no statements that support an implementor to decide 
    under what conditions the requirement can be ignored, or the 
    consequences of ignoring, one or other of which should really be there.

    The lack of that information does not help in trying to evaluate the 
    consequences of updating the reference, versus leaving the reference as 
    it is - note that there is a risk both ways.

    The quick review I did, resulted in my feeling that the upgrade would be 
    OK, but I am not an expert in that area. Certainly I think either way it 
    should go to the WG for a quick review.

    Keith

    On 21/05/2020 19:09, Jean Mahoney wrote:
    > Hi Charles,
    >
    > On 5/21/20 11:31 AM, Charles Eckel (eckelcu) wrote:
    >> Hi Jean,
    >>
    >> I am more comfortable sticking with RFC 5389 at this point in time.
    >
    >
    > Ack.
    >
    >
    >> That said, I know that in another thread Christer made the point of 
    >> being consistent across the cluster in terms of referencing RFC 5389 
    >> vs. RFC 8489. If the decision is for the cluster switch to RFC 8489, 
    >> we can consider that. However, I think we would need to take it back 
    >> to the working group to see if there are any issues because I do not 
    >> believe the working group was not tracking this update and did not 
    >> anticipate its publication.
    >
    >
    > FWIW, so far, the one C238 document that has updated their STUN 
    > reference to RFC 8489 has an informative ref to it, not a normative one.
    >
    > Thanks!
    >
    > RFC Editor/jm
    >
    >
    >>
    >> Cheers,
    >> Charles
    >>
    >> On 5/20/20, 12:36 PM, "Jean Mahoney" <[email-masked]> wrote:
    >>
    >>      Authors,
    >>
    >>      We note that this document has a normative reference to RFC 5389 
    >> (STUN),
    >>      which was obsoleted just recently by RFC 8489.  Do you wish to 
    >> update
    >>      this reference to RFC 8489?
    >>
    >>      Thanks!
    >>
    >>      RFC Editor/jm
    >>
    >>

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 15 Sep 2020 06:08:00 +0000

Hi,

>It has been a long time since our last email discussion. We in nearing the end of AUTH-48 for this draft, but there is an issue raised that needs to be addressed before we move forward.
>
>The email thread below provides the background. A proposal to the working group for resolving this is to:
>

I support maintaining the reference to RFC5389, in order to align with other C238 cluster documents that reference STUN.

RFC5389 is also implicitly referenced via the ICE reference.

>2) make the reference to RFC 5389/STUN an informative reference as is already done for RFC 5245/ICE

My suggestion would actually be to update the ICE reference to RFC 8445. Again, that would align with other C238 cluster documents that reference ICE.

And, in RFC 8445 STUN is a *normative* reference.

Regards,

Christer

    Keith

    >>      this reference to RFC 8489?

_______________________________________________
bfcpbis mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bfcpbis

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 15 Sep 2020 06:09:49 +0000

One more thing regarding 2): draft-4583bis also references RFC 8445 for ICE.

Regards,

Christer

-----Original Message-----
From: Christer Holmberg 
Sent: tiistai 15. syyskuuta 2020 9.08
To: 'Charles Eckel (eckelcu)' <eckelcu=[email-masked]>; [email-masked]
Cc: Jean Mahoney <[email-masked]>; [email-masked]; Gonzalo Camarillo <[email-masked]>; Keith Drage <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; RFC Editor <[email-masked]>
Subject: RE: AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE

Hi,

Regards,

Christer

    Keith

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 15 Sep 2020 14:58:51 +0000

Hi Christer,

Thanks for reviewing the proposal and providing feedback. Please see inline.

On 9/14/20, 11:16 PM, "Christer Holmberg" <[email-masked]> wrote:

    Hi,

[cue] Good point. This reference has already been updated to RFC 8445 as part of AUTH-48.

[cue] In rfc4582bis, the reference to ICE is currently Informative, whereas the reference to STUN is Normative. I believe they should either both be Normative or both be Informative. Do you happen to know which way would be more consistent with similar references to STUN/ICE in cluster C238? In rfc4583bis, the reference to ICE is currently Normative.

Thanks,
Charles

    Regards,

    Christer

        Keith

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 15 Sep 2020 15:13:04 +0000

Hi,

...

> [cue] Good point. This reference has already been updated to RFC 8445 as part of AUTH-48.

Good.
 
> [cue] In rfc4582bis, the reference to ICE is currently Informative, whereas the reference to STUN is Normative. I believe they should either both be Normative or both be Informative. 
> Do you happen to know which way would be more consistent with similar references to STUN/ICE in cluster C238? In rfc4583bis, the reference to ICE is currently Normative.

Correct. rfc4583bis actually defines ICE procedures for BFCP, so Normative is fine.

4582bis contains the following sentence:

   "In order to facilitate the initial establishment of NAT bindings, and
   to maintain those bindings once established, BFCP entities using an
   unreliable transport are RECOMMENDED to use STUN [12] Binding
   Indication for keep-alives, as described for ICE [17]."

As you can see, it is actually described in the ICE spec on how to use STUN. So, therefore I agree that both should be either Normative or Informative. And, since there is a "RECOMMENDED", I assume that means they would have to be Normative.

Regards,

Christer

        Keith

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 15 Sep 2020 15:53:26 +0000

Thanks Christer.

To recap, the updated proposal is to:

1) maintain the normative reference to RFC 5389 STUN rather than replace it with a reference to RFC 8489
2) update the reference to RFC 5245 ICE to RFC 8445 ICE (this change has already been made a result of AUTH 48)
3) make the informative reference to RFC 8445 ICE a normative reference to be consistent with the normative reference to RFC 5389 STUN and with the normative reference to RFC 8845 ICE in rfc4583bis.

Christer, please confirm if I have capture this correctly.
Everyone else, your feedback here is greatly appreciated as well.

Cheers,
Charles

On 9/15/20, 8:13 AM, "Christer Holmberg" <christer.holmberg=[email-masked]> wrote:

    Hi,

    ...

    Good.

    Regards,

    Christer

            Keith

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 17 Sep 2020 15:42:12 +0000

Hi,

"Christer, please confirm if I have capture this correctly."

Confirmed.

Regards,

Christer

-----Original Message-----
From: Charles Eckel (eckelcu) <eckelcu=[email-masked]> 
Sent: tiistai 15. syyskuuta 2020 18.53
To: Christer Holmberg <[email-masked]>; [email-masked]
Cc: Jean Mahoney <[email-masked]>; [email-masked]; Gonzalo Camarillo <[email-masked]>; Keith Drage <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; RFC Editor <[email-masked]>
Subject: Re: AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE

Thanks Christer.

Cheers,
Charles

    Hi,

    ...

    Good.

    Regards,

    Christer

            Keith

---

From: Alan Ford <[email-masked]>
Date: Thu, 17 Sep 2020 19:26:23 +0100

Charles, all,

This seems the correct way to proceed. These are clearly normative references, and as regards 5389 vs 8489, 8445 references 5389 normatively anyway so if we changed that we would diverge from 8445.

Best regards,
Alan

> On 15 Sep 2020, at 16:53, Charles Eckel (eckelcu) <eckelcu=[email-masked]> wrote:
> 
> Thanks Christer.
>

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Thu, 17 Sep 2020 20:01:00 +0000

Great, thanks Alan.

Cheers,
Charles

On 9/17/20, 11:27 AM, "Alan Ford" <[email-masked]> wrote:

    Charles, all,

    Best regards,
    Alan

---

From: Roman Shpount <[email-masked]>
Date: Tue, 22 Sep 2020 16:19:50 -0400

Hi Charles,

Per your request, I have reviewed this as and this looks like a correct way
to proceed.

Best Regards,
_____________
Roman Shpount

On Thu, Sep 17, 2020 at 4:09 PM Charles Eckel (eckelcu) <eckelcu=
[email-masked]> wrote:

>     This seems the correct way to proceed. These are clearly normative
> references, and as regards 5389 vs 8489, 8445 references 5389 normatively
> anyway so if we changed that we would diverge from 8445.
>
>     Best regards,
>     Alan
>
>     > 2) update the reference to RFC 5245 ICE to RFC 8445 ICE (this change
> has already been made a result of AUTH 48)
>     > 3) make the informative reference to RFC 8445 ICE a normative
> reference to be consistent with the normative reference to RFC 5389 STUN
> and with the normative reference to RFC 8845 ICE in rfc4583bis.
>     >
>     >>> My suggestion would actually be to update the ICE reference to RFC
> 8445. Again, that would align with other C238 cluster documents that
> reference ICE.
>     >>
>     >> [cue] In rfc4582bis, the reference to ICE is currently Informative,
> whereas the reference to STUN is Normative. I believe they should either
> both be Normative or both be Informative.
>     >> Do you happen to know which way would be more consistent with
> similar references to STUN/ICE in cluster C238? In rfc4583bis, the
> reference to ICE is currently Normative.
>     >
>     >    As you can see, it is actually described in the ICE spec on how
> to use STUN. So, therefore I agree that both should be either Normative or
> Informative. And, since there is a "RECOMMENDED", I assume that means they
> would have to be Normative.
>     >
>     >    Regards,
>     >
>     >    Christer
>     >
>     >
>     >

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 22 Sep 2020 20:26:52 +0000

Thanks Roman.
Your review and confirmation of this approach is very helpful and is much appreciated.

Cheers,
Charles

From: Roman Shpount <[email-masked]>
Date: Tuesday, September 22, 2020 at 1:20 PM
To: "Charles Eckel (eckelcu)" <eckelcu=[email-masked]>
Cc: Alan Ford <[email-masked]>, Joerg Ott <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Gonzalo Camarillo <[email-masked]>, Keith Drage <[email-masked]>, "[email-masked]" <[email-masked]>, Christer Holmberg <[email-masked]>, Jean Mahoney <[email-masked]>, Mary Barnes <[email-masked]>, "[email-masked]" <[email-masked]>, RFC Editor <[email-masked]>
Subject: Re: [bfcpbis] AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE
Resent-From: <[email-masked]>
Resent-To: Keith Drage <[email-masked]>, Charles Eckel <[email-masked]>
Resent-Date: Tuesday, September 22, 2020 at 1:20 PM

Hi Charles,

Per your request, I have reviewed this as and this looks like a correct way to proceed.

Best Regards,
_____________
Roman Shpount

On Thu, Sep 17, 2020 at 4:09 PM Charles Eckel (eckelcu) <eckelcu=[email-masked]<mailto:[email-masked]>> wrote:
Great, thanks Alan.

Cheers,
Charles

On 9/17/20, 11:27 AM, "Alan Ford" <[email-masked]<mailto:[email-masked]>> wrote:

    Charles, all,

    Best regards,
    Alan

    > On 15 Sep 2020, at 16:53, Charles Eckel (eckelcu) <eckelcu=[email-masked]<mailto:[email-masked]>> wrote:
    >
    > Thanks Christer.
    >
    > On 9/15/20, 8:13 AM, "Christer Holmberg" <christer.holmberg=[email-masked]<mailto:[email-masked]>> wrote:
    >
    >    Hi,
    >
    >    ...
    >
    >        On 5/21/20, 1:55 PM, "Keith Drage" <[email-masked]<mailto:[email-masked]>> wrote:
    >
    >>> On 5/20/20, 12:36 PM, "Jean Mahoney" <[email-masked]<mailto:[email-masked]>> wrote:
    >>>
    >>>     Authors,
    >>>
    >        [email-masked]<mailto:[email-masked]>
    > [email-masked]<mailto:[email-masked]>

_______________________________________________
bfcpbis mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bfcpbis

---

From: Jean Mahoney <[email-masked]>
Date: Mon, 28 Sep 2020 17:09:51 -0500

Hi Charles,

Shall I proceed with moving the reference to RFC 8445 from informative 
to normative?

Thanks!

RFC Editor/jm

On 9/22/20 3:26 PM, Charles Eckel (eckelcu) wrote:
> *From: *Roman Shpount <[email-masked]>
> *Date: *Tuesday, September 22, 2020 at 1:20 PM
> *To: *"Charles Eckel (eckelcu)" <eckelcu=[email-masked]>
> *Cc: *Alan Ford <[email-masked]>, Joerg Ott <[email-masked]>, 
> "[email-masked]" <[email-masked]>, 
> "[email-masked]" <[email-masked]>, Gonzalo Camarillo 
> <[email-masked]>, Keith Drage <[email-masked]>, 
> "[email-masked]" <[email-masked]>, Christer Holmberg 
> <[email-masked]>, Jean Mahoney <[email-masked]>, 
> Mary Barnes <[email-masked]>, "[email-masked]" 
> <[email-masked]>, RFC Editor <[email-masked]>
> *Subject: *Re: [bfcpbis] AUTH48 [JM]: RFC 8855 
> <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE
> *Resent-From: *<[email-masked]>
> *Resent-To: *Keith Drage <[email-masked]>, Charles Eckel 
> <[email-masked]>
> *Resent-Date: *Tuesday, September 22, 2020 at 1:20 PM
>
> Hi Charles,
>
> On Thu, Sep 17, 2020 at 4:09 PM Charles Eckel (eckelcu) 
> <eckelcu=[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Great, thanks Alan.
>
>     Cheers,
>     Charles
>
>         This seems the correct way to proceed. These are clearly
>     normative references, and as regards 5389 vs 8489, 8445 references
>     5389 normatively anyway so if we changed that we would diverge
>     from 8445.
>
>         Best regards,
>         Alan
>
>         > On 15 Sep 2020, at 16:53, Charles Eckel (eckelcu)
>     <eckelcu=[email-masked]
>     <mailto:[email-masked]>> wrote:
>         >
>         > Thanks Christer.
>         >
>         > To recap, the updated proposal is to:
>         >
>         > 1) maintain the normative reference to RFC 5389 STUN rather
>     than replace it with a reference to RFC 8489
>         > 2) update the reference to RFC 5245 ICE to RFC 8445 ICE
>     (this change has already been made a result of AUTH 48)
>         > 3) make the informative reference to RFC 8445 ICE a
>     normative reference to be consistent with the normative reference
>     to RFC 5389 STUN and with the normative reference to RFC 8845 ICE
>     in rfc4583bis.
>         >
>         > Christer, please confirm if I have capture this correctly.
>         > Everyone else, your feedback here is greatly appreciated as
>     well.
>         >
>         > Cheers,
>         > Charles
>         >
>         > On 9/15/20, 8:13 AM, "Christer Holmberg"
>     <christer.holmberg=[email-masked]
>     <mailto:[email-masked]>> wrote:
>         >
>         >    Hi,
>         >
>         >    ...
>         >
>         >>>> 2) make the reference to RFC 5389/STUN an informative
>     reference as is already done for RFC 5245/ICE
>         >>>
>         >>> My suggestion would actually be to update the ICE
>     reference to RFC 8445. Again, that would align with other C238
>     cluster documents that reference ICE.
>         >>
>         >> [cue] Good point. This reference has already been updated
>     to RFC 8445 as part of AUTH-48.
>         >
>         >    Good.
>         >
>         >>> And, in RFC 8445 STUN is a *normative* reference.
>         >>
>         >> [cue] In rfc4582bis, the reference to ICE is currently
>     Informative, whereas the reference to STUN is Normative. I believe
>     they should either both be Normative or both be Informative.
>         >> Do you happen to know which way would be more consistent
>     with similar references to STUN/ICE in cluster C238? In
>     rfc4583bis, the reference to ICE is currently Normative.
>         >
>         >    Correct. rfc4583bis actually defines ICE procedures for
>     BFCP, so Normative is fine.
>         >
>         >    4582bis contains the following sentence:
>         >
>         >       "In order to facilitate the initial establishment of
>     NAT bindings, and
>         >       to maintain those bindings once established, BFCP
>     entities using an
>         >       unreliable transport are RECOMMENDED to use STUN [12]
>     Binding
>         >       Indication for keep-alives, as described for ICE [17]."
>         >
>         >    As you can see, it is actually described in the ICE spec
>     on how to use STUN. So, therefore I agree that both should be
>     either Normative or Informative. And, since there is a
>     "RECOMMENDED", I assume that means they would have to be Normative.
>         >
>         >    Regards,
>         >
>         >    Christer
>         >
>         >
>         >
>         >        On 5/21/20, 1:55 PM, "Keith Drage"
>     <[email-masked] <mailto:[email-masked]>> wrote:
>         >
>         >            I do note that the normative requirement is at
>     SHOULD strength.
>         >
>         >            However there are no statements that support an
>     implementor to decide
>         >            under what conditions the requirement can be
>     ignored, or the
>         >            consequences of ignoring, one or other of which
>     should really be there.
>         >
>         >            The lack of that information does not help in
>     trying to evaluate the
>         >            consequences of updating the reference, versus
>     leaving the reference as
>         >            it is - note that there is a risk both ways.
>         >
>         >            The quick review I did, resulted in my feeling
>     that the upgrade would be
>         >            OK, but I am not an expert in that area.
>     Certainly I think either way it
>         >            should go to the WG for a quick review.
>         >
>         >            Keith
>         >
>         >            On 21/05/2020 19:09, Jean Mahoney wrote:
>         >> Hi Charles,
>         >>
>         >> On 5/21/20 11:31 AM, Charles Eckel (eckelcu) wrote:
>         >>> Hi Jean,
>         >>>
>         >>> I am more comfortable sticking with RFC 5389 at this point
>     in time.
>         >>
>         >>
>         >> Ack.
>         >>
>         >>
>         >>> That said, I know that in another thread Christer made the
>     point of
>         >>> being consistent across the cluster in terms of
>     referencing RFC 5389
>         >>> vs. RFC 8489. If the decision is for the cluster switch to
>     RFC 8489,
>         >>> we can consider that. However, I think we would need to
>     take it back
>         >>> to the working group to see if there are any issues
>     because I do not
>         >>> believe the working group was not tracking this update and
>     did not
>         >>> anticipate its publication.
>         >>
>         >>
>         >> FWIW, so far, the one C238 document that has updated their
>     STUN
>         >> reference to RFC 8489 has an informative ref to it, not a
>     normative one.
>         >>
>         >> Thanks!
>         >>
>         >> RFC Editor/jm
>         >>
>         >>
>         >>>
>         >>> Cheers,
>         >>> Charles
>         >>>
>         >>> On 5/20/20, 12:36 PM, "Jean Mahoney" <[email-masked]
>     <mailto:[email-masked]>> wrote:
>         >>>
>         >>>     Authors,
>         >>>
>         >>>     We note that this document has a normative reference
>     to RFC 5389
>         >>> (STUN),
>         >>>     which was obsoleted just recently by RFC 8489.  Do you
>     wish to
>         >>> update
>         >>>     this reference to RFC 8489?
>         >>>
>         >>>     Thanks!
>         >>>
>         >>>     RFC Editor/jm
>         >>>
>         >>>
>         >
>         > _______________________________________________
>         >        bfcpbis mailing list
>         > [email-masked] <mailto:[email-masked]>
>         > https://www.ietf.org/mailman/listinfo/bfcpbis
>     <https://www.ietf.org/mailman/listinfo/bfcpbis>
>         >
>         >
>         > _______________________________________________
>         > bfcpbis mailing list
>         > [email-masked] <mailto:[email-masked]>
>         > https://www.ietf.org/mailman/listinfo/bfcpbis
>
>
>     [email-masked] <mailto:[email-masked]>

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Mon, 28 Sep 2020 22:13:42 +0000

Hi Jean,

Yes, please do.

Thanks,
Charles

From: Jean Mahoney <[email-masked]>
Date: Monday, September 28, 2020 at 3:10 PM
To: Charles Eckel <[email-masked]>, Roman Shpount <[email-masked]>, "Charles Eckel (eckelcu)" <eckelcu=[email-masked]>
Cc: Alan Ford <[email-masked]>, Joerg Ott <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Gonzalo Camarillo <[email-masked]>, Keith Drage <[email-masked]>, "[email-masked]" <[email-masked]>, Christer Holmberg <[email-masked]>, Mary Barnes <[email-masked]>, "[email-masked]" <[email-masked]>, RFC Editor <[email-masked]>
Subject: Re: [bfcpbis] AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE

Hi Charles,

Shall I proceed with moving the reference to RFC 8445 from informative to normative?

Thanks!

RFC Editor/jm

Cheers,
Charles

From: Roman Shpount <[email-masked]><mailto:[email-masked]>
Date: Tuesday, September 22, 2020 at 1:20 PM
To: "Charles Eckel (eckelcu)" <eckelcu=[email-masked]><mailto:eckelcu=[email-masked]>
Cc: Alan Ford <[email-masked]><mailto:[email-masked]>, Joerg Ott <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, Gonzalo Camarillo <[email-masked]><mailto:[email-masked]>, Keith Drage <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, Christer Holmberg <[email-masked]><mailto:[email-masked]>, Jean Mahoney <[email-masked]><mailto:[email-masked]>, Mary Barnes <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, RFC Editor <[email-masked]><mailto:[email-masked]>
Subject: Re: [bfcpbis] AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE
Resent-From: <[email-masked]><mailto:[email-masked]>
Resent-To: Keith Drage <[email-masked]><mailto:[email-masked]>, Charles Eckel <[email-masked]><mailto:[email-masked]>
Resent-Date: Tuesday, September 22, 2020 at 1:20 PM

Hi Charles,

Best Regards,
_____________
Roman Shpount

Cheers,
Charles

    Charles, all,

    Best regards,
    Alan

---

From: Jean Mahoney <[email-masked]>
Date: Mon, 28 Sep 2020 17:39:12 -0500

Charles,

We have moved the RFC 8445 reference to the Normative References section.

   The files have been posted here:
    https://www.rfc-editor.org/authors/rfc8855.txt
    https://www.rfc-editor.org/authors/rfc8855.pdf
    https://www.rfc-editor.org/authors/rfc8855.html
    https://www.rfc-editor.org/authors/rfc8855.xml

    https://www.rfc-editor.org/authors/rfc8855-lastdiff.html (this change)
    https://www.rfc-editor.org/authors/rfc8855-auth48diff.html (AUTH48 
changes)
    https://www.rfc-editor.org/authors/rfc8855-diff.html (all changes)

Best regards,

RFC Editor/jm

On 9/28/20 5:13 PM, Charles Eckel (eckelcu) wrote:
>
> Hi Jean,
>
> Yes, please do.
>
> Thanks,
>
> Charles
>
> *From: *Jean Mahoney <[email-masked]>
> *Date: *Monday, September 28, 2020 at 3:10 PM
> *To: *Charles Eckel <[email-masked]>, Roman Shpount 
> <[email-masked]>, "Charles Eckel (eckelcu)" 
> <eckelcu=[email-masked]>
> <[email-masked]>, Mary Barnes 
> <[email-masked]>, "[email-masked]" 
>     *From: *Roman Shpount <[email-masked]> <mailto:[email-masked]>
>     <mailto:eckelcu=[email-masked]>
>     *Cc: *Alan Ford <[email-masked]>
>     <mailto:[email-masked]>, Joerg Ott <[email-masked]>
>     <mailto:[email-masked]>, "[email-masked]"
>     <mailto:[email-masked]> <[email-masked]>
>     <mailto:[email-masked]>, "[email-masked]"
>     <mailto:[email-masked]> <[email-masked]>
>     <mailto:[email-masked]>, Gonzalo Camarillo
>     <[email-masked]>
>     <mailto:[email-masked]>, Keith Drage
>     <[email-masked]> <mailto:[email-masked]>,
>     "[email-masked]" <mailto:[email-masked]>
>     <[email-masked]> <mailto:[email-masked]>, Christer
>     Holmberg <[email-masked]>
>     <mailto:[email-masked]>, Jean Mahoney
>     <[email-masked]> <mailto:[email-masked]>, Mary Barnes
>     <[email-masked]> <mailto:[email-masked]>,
>     "[email-masked]" <mailto:[email-masked]>
>     <[email-masked]> <mailto:[email-masked]>, RFC
>     Editor <[email-masked]> <mailto:[email-masked]>
>     <mailto:[email-masked]>
>     *Resent-To: *Keith Drage <[email-masked]>
>     <mailto:[email-masked]>, Charles Eckel <[email-masked]>
>     <mailto:[email-masked]>
>         normative references, and as regards 5389 vs 8489, 8445
>         references 5389 normatively anyway so if we changed that we
>         would diverge from 8445.
>
>             Best regards,
>             Alan
>
>             > 1) maintain the normative reference to RFC 5389 STUN
>         rather than replace it with a reference to RFC 8489
>         normative reference to be consistent with the normative
>         reference to RFC 5389 STUN and with the normative reference to
>         RFC 8845 ICE in rfc4583bis.
>             >
>             > Everyone else, your feedback here is greatly appreciated
>         as well.
>             >
>             > Cheers,
>             > Charles
>             >
>             >> [cue] Good point. This reference has already been
>         updated to RFC 8445 as part of AUTH-48.
>             >
>             >    Good.
>             >
>         Informative, whereas the reference to STUN is Normative. I
>         believe they should either both be Normative or both be
>         Informative.
>             >> Do you happen to know which way would be more
>         consistent with similar references to STUN/ICE in cluster
>         C238? In rfc4583bis, the reference to ICE is currently Normative.
>             >
>             >    Correct. rfc4583bis actually defines ICE procedures
>         for BFCP, so Normative is fine.
>             >
>             >       "In order to facilitate the initial establishment
>         of NAT bindings, and
>             >       unreliable transport are RECOMMENDED to use STUN
>         [12] Binding
>             >    As you can see, it is actually described in the ICE
>         spec on how to use STUN. So, therefore I agree that both
>         should be either Normative or Informative. And, since there is
>         a "RECOMMENDED", I assume that means they would have to be
>         Normative.
>             >
>             >    Regards,
>             >
>             >    Christer
>             >
>             >
>             >
>             >            I do note that the normative requirement is
>         at SHOULD strength.
>             >
>             >            However there are no statements that support
>         an implementor to decide
>             >            consequences of ignoring, one or other of
>         which should really be there.
>             >
>             >            consequences of updating the reference,
>         versus leaving the reference as
>             >            The quick review I did, resulted in my
>         feeling that the upgrade would be
>             >>> I am more comfortable sticking with RFC 5389 at this
>         point in time.
>             >>
>             >>
>             >> Ack.
>             >>
>             >>
>             >>> That said, I know that in another thread Christer made
>         the point of
>             >>> vs. RFC 8489. If the decision is for the cluster
>         switch to RFC 8489,
>             >>> we can consider that. However, I think we would need
>         to take it back
>             >>> believe the working group was not tracking this update
>         and did not
>             >> FWIW, so far, the one C238 document that has updated
>         their STUN
>             >> reference to RFC 8489 has an informative ref to it, not
>         a normative one.
>             >>
>             >> Thanks!
>             >>
>             >> RFC Editor/jm
>             >>
>             >>
>             >>>
>             >>> Cheers,
>             >>> Charles
>             >>>
>             >>> On 5/20/20, 12:36 PM, "Jean Mahoney"
>         <[email-masked] <mailto:[email-masked]>> wrote:
>             >>>
>             >>>     Authors,
>             >>>
>             >>>     We note that this document has a normative
>         reference to RFC 5389
>             >>> (STUN),
>             >>>     which was obsoleted just recently by RFC 8489.  Do
>         you wish to
>             >>> update

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 29 Sep 2020 14:37:37 +0000

The changes look good to me.

Thanks,
Charles

Date: Monday, September 28, 2020 at 3:39 PM

Charles,

   https://www.rfc-editor.org/authors/rfc8855-lastdiff.html (this change)
   https://www.rfc-editor.org/authors/rfc8855-auth48diff.html (AUTH48 changes)
   https://www.rfc-editor.org/authors/rfc8855-diff.html (all changes)

Best regards,

RFC Editor/jm

Yes, please do.

Thanks,
Charles

From: Jean Mahoney <[email-masked]><mailto:[email-masked]>
Date: Monday, September 28, 2020 at 3:10 PM
To: Charles Eckel <[email-masked]><mailto:[email-masked]>, Roman Shpount <[email-masked]><mailto:[email-masked]>, "Charles Eckel (eckelcu)" <eckelcu=[email-masked]><mailto:eckelcu=[email-masked]>
Cc: Alan Ford <[email-masked]><mailto:[email-masked]>, Joerg Ott <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, Gonzalo Camarillo <[email-masked]><mailto:[email-masked]>, Keith Drage <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, Christer Holmberg <[email-masked]><mailto:[email-masked]>, Mary Barnes <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, RFC Editor <[email-masked]><mailto:[email-masked]>
Subject: Re: [bfcpbis] AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE

Hi Charles,

Thanks!

RFC Editor/jm

Cheers,
Charles

Hi Charles,

Best Regards,
_____________
Roman Shpount

Cheers,
Charles

    Charles, all,

    Best regards,
    Alan